# Uses of Enum
org.apache.qpid.proton.engine.Sasl.SaslOutcome

Packages that use Sasl.SaslOutcome
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of Sasl.SaslOutcome in org.apache.qpid.proton.engine

Fields in org.apache.qpid.proton.engine declared as Sasl.SaslOutcome
Modifier and Type
Field
Description
`static final Sasl.SaslOutcome`
Sasl.`PN_SASL_AUTH`
`static final Sasl.SaslOutcome`
Sasl.`PN_SASL_NONE`
`static final Sasl.SaslOutcome`
Sasl.`PN_SASL_OK`
`static final Sasl.SaslOutcome`
Sasl.`PN_SASL_PERM`
`static final Sasl.SaslOutcome`
Sasl.`PN_SASL_SKIPPED`
`static final Sasl.SaslOutcome`
Sasl.`PN_SASL_SYS`
`static final Sasl.SaslOutcome`
Sasl.`PN_SASL_TEMP`
Methods in org.apache.qpid.proton.engine that return Sasl.SaslOutcome
Modifier and Type
Method
Description
`Sasl.SaslOutcome`
Sasl.`getOutcome()`
Retrieve the outcome of SASL negotiation.
`static Sasl.SaslOutcome`
Sasl.SaslOutcome.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Sasl.SaslOutcome[]`
Sasl.SaslOutcome.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.engine with parameters of type Sasl.SaslOutcome
Modifier and Type
Method
Description
`void`
Sasl.`done(Sasl.SaslOutcome outcome)`
Set the outcome of SASL negotiation Used by the server to set the result of the negotiation process.

## Uses of Sasl.SaslOutcome in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return Sasl.SaslOutcome
Modifier and Type
Method
Description
`Sasl.SaslOutcome`
SaslImpl.`getOutcome()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type Sasl.SaslOutcome
Modifier and Type
Method
Description
`void`
SaslImpl.`done(Sasl.SaslOutcome outcome)`